AurionAI Docs

Patch Email Channel V2

PATCH
/api/v2/email/channels/{channel_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

channel_id*Channel Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v2/email/channels/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "address": "string",
  "assigned_team_id": "string",
  "bcc_addresses": [
    "string"
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "delete_after_fetch": false,
  "display_name": "string",
  "email_system": "incoming_outgoing",
  "error_message": "string",
  "id": "string",
  "is_default": false,
  "is_verified": false,
  "last_sync_at": "2019-08-24T14:15:22Z",
  "mail_server_type": "managed",
  "managed_inbound_address": "string",
  "provider": "string",
  "provider_config": {},
  "sending_domain": "string",
  "signature_html": "string",
  "status": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}